Contains Features
POST
https://api.woosmap.com/datasets/{dataset_id}/features/contains
Search for features containing geometry.
Rate limit: 20/1s

Ratelimit: 20/1s
Authorization
Path Parameters
dataset_id
string required
Query Parameters
Request Body
Examples
Request with point geojson geometry
{
"geometry": {
"type": "Point",
"coordinates": [
3.883,
43.6
]
}
}
Request with linestring geojson geometry
{
"geometry": {
"type": "LineString",
"coordinates": [
[
3.85882,
43.60912
],
[
3.86276,
43.60807
],
[
3.8649,
43.60572
],
[
3.86513,
43.60412
],
[
3.86681,
43.60245
],
[
3.86822,
43.60093
],
[
3.87003,
43.6
]
]
}
}
Request with polygon geojson geometry, a 10 meters buffer and a where clause
{
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
-10,
-10
],
[
10,
-10
],
[
10,
10
],
[
-10,
10
],
[
-10,
-10
]
]
]
},
"buffer": 10,
"where": "cost:<500"
}
Response
Successful Response
features
object[] required
Show 3 propertiesHide 3 properties
pagination
object required
Errors
401
Unable to locate credentials.
application/json
detail
string required
402
Out of free quota.
application/json
detail
string required
403
Credentials found, but not matching.
application/json
detail
string required
404
Dataset was not found
application/json
details
string required
422
Validation Error
429
Rate limit reached
application/json
details
string required
curl -L 'https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/features/contains/?private_key=YOUR_PRIVATE_API_KEY' \
-H 'content-type: application/json' \
-d '{
"geometry": {
"type": "Point",
"coordinates": [
3.883,
43.6
]
}
}'
const myHeaders = new Headers();
myHeaders.append("content-type", "application/json");
const raw = JSON.stringify({
"geometry": {
"type": "Point",
"coordinates": [
3.883,
43.6
]
}
});
const requestOptions = {
method: "POST",
headers: myHeaders,
body: raw,
redirect: "follow"
};
fetch("https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/features/contains/?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));
import requests
import json
url = "https://api.woosmap.com/datasets/8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0/features/contains/?private_key=YOUR_PRIVATE_API_KEY"
payload = json.dumps({
"geometry": {
"type": "Point",
"coordinates": [
3.883,
43.6
]
}
})
headers = {
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)